de.vc.jfo.flow

## Class BlockContainer

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.jfo.FormattingObject
      - - de.vc.jfo.flow.FlowObject
        - - de.vc.jfo.flow.FlowObjectWithElements
          - - de.vc.jfo.flow.BlockContainer

- All Implemented Interfaces:
    BlockElement, Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class BlockContainer
      extends FlowObjectWithElements
      implements BlockElement

  The fo:block-container flow object is used to generate a block-level reference-area, typically containing text blocks with a different writing-mode. In addition, it can also be used with a different reference-orientation to rotate its content.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.jfo.FormattingObject

      `EMPTY_ARRAY`

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlockContainer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BlockContainer` | `add(BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO.
    `BlockContainer` | `add(int idx, BlockElement element)` Adds an formatting object (that is a block-group-member) to this FO.
    `AbsolutePosition` | `getAbsolutePosition()` Gets the absolute position of this fo.
    `Background` | `getBackground()` Gets the background of this fo.
    `Border` | `getBorder()` Gets the border of this fo.
    `Values.Break` | `getBreakAfter()` Gets the break after this formatting object.
    `Values.Break` | `getBreakBefore()` Gets the break before this formatting object.
    `Values.DisplayAlignment` | `getDisplayAlign()` Gets the display-alignment.
    `Measure` | `getHeight()`
    `Padding` | `getPadding()` Gets the padding of this fo.
    `Measure` | `getWidth()`
    `Values.WritingMode` | `getWritingMode()` Gets the writing mode of this formatting object.
    `int` | `getZIndex()`
    `boolean` | `hasBorder()` Returns true if at least one border attribute is set.
    `void` | `setAbsolutePosition(AbsolutePosition pos)` Sets the absolute position of this fo.
    `void` | `setAbsolutePosition(Measure left, Measure top)` Sets the absolute position for this block container.
    `void` | `setAbsolutePosition(Measure left, Measure top, AbsolutePosition.PositionType type)` Sets the absolute position for this block container.
    `void` | `setBackground(Background bg)` Sets the background of this fo.
    `void` | `setBorder(Border border)` Sets the border of this fo.
    `void` | `setBreakAfter(Values.Break type)` Sets the break before this formatting object.
    `void` | `setBreakBefore(Values.Break type)` Sets the break before this formatting object.
    `void` | `setDisplayAlign(Values.DisplayAlignment align)` Sets the display-alignment.
    `void` | `setHeight(Measure height)`
    `void` | `setPadding(Padding padding)` Sets the padding of this fo.
    `void` | `setSize(Measure width, Measure height)` Sets the size of this block container.
    `void` | `setWidth(Measure height)`
    `void` | `setWritingMode(Values.WritingMode mode)` Sets the writing mode for this formatting object.
    `void` | `setZIndex(int index)`

    - ### Methods inherited from class de.vc.jfo.flow.FlowObjectWithElements

      `add, add, add, add, addAllImpl, addAllUnsafe, addAllUnsafe, addElement, addElement, addElements, addElements, addUnsafe, addUnsafe, clone, firstElement, getElements, isEmpty, lastElement, remove, remove, removeAll, removeElement, removeElement, removeLast, replaceElement, setElement`

    - ### Methods inherited from class de.vc.jfo.FormattingObject

      `cloned, clonedList, createUniqueID, doGetAttribute, doSetAttribute, elementCount, get, getAccessibility, getAttributeMap, getDefinedAttributes, getDocument, getFont, getID, getLanguage, getLogger, getMargin, getMeasureValue, getObjectValue, getObjectValue, getObjectValue, getObjectValue, getOrphans, getParentFO, getRelativePosition, getWidows, hasID, hasPadding, isHyphenation, setAccessibility, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setFont, setHyphenation, setID, setLanguage, setLanguage, setMargin, setOrphans, setRelativePosition, setWidows`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `getDefaultMapType, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.vc.xml.Node

      `addAttributeChangeListener, addElement, addElement, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, fireSaxEvents, firstElement, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getDefinedAttributes, getElements, getElements, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getQName, getRoot, indexOf, isEmpty, lastElement, removeAttributeChangeListener, removeElement, removeElement, replaceElement, setAttribute, setAttributes, setElement, setNamespace`

    - ### Methods inherited from interface de.vc.xml.NodeElement

      `clone, getParent, setParent, writeTo`

- - ### Constructor Detail

    - #### BlockContainer

          public BlockContainer()

  - ### Method Detail

    - #### add

          public BlockContainer add(BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO. at end.
      Parameters:
        `element` - FormattingObject.
      Returns:
        this block-container for chained calls.

    - #### add

          public BlockContainer add(int idx,
                           BlockElement element)

      Adds an formatting object (that is a block-group-member) to this FO. at the given index.
      Parameters:
        `idx` - Index.
        `element` - FormattingObject.
      Returns:
        this block-container for chained calls.

    - #### getPadding

          public Padding getPadding()

      Gets the padding of this fo. Is never null.
      Overrides:
        `getPadding` in class `FormattingObject`
      Returns:
        Padding.

    - #### setPadding

          public void setPadding(Padding padding)

      Sets the padding of this fo.
      Overrides:
        `setPadding` in class `FormattingObject`
      Parameters:
        `padding` - Padding.

    - #### hasBorder

          public boolean hasBorder()

      Returns true if at least one border attribute is set.
      Overrides:
        `hasBorder` in class `FormattingObject`
      Returns:
        True if at least one border attribute is set.

    - #### getBorder

          public Border getBorder()

      Gets the border of this fo. Is never null.
      Overrides:
        `getBorder` in class `FormattingObject`
      Returns:
        Border.

    - #### setBorder

          public void setBorder(Border border)

      Sets the border of this fo. If border is NULL, an empty border is created.
      Overrides:
        `setBorder` in class `FormattingObject`
      Parameters:
        `border` - Border.

    - #### getBackground

          public Background getBackground()

      Gets the background of this fo. Is never null.
      Overrides:
        `getBackground` in class `FormattingObject`
      Returns:
        Background.

    - #### setBackground

          public void setBackground(Background bg)

      Sets the background of this fo.
      Overrides:
        `setBackground` in class `FormattingObject`
      Parameters:
        `bg` - Background.

    - #### getAbsolutePosition

          public AbsolutePosition getAbsolutePosition()

      Gets the absolute position of this fo. Is never null.
      Overrides:
        `getAbsolutePosition` in class `FormattingObject`
      Returns:
        AbsolutePosition.

    - #### setAbsolutePosition

          public void setAbsolutePosition(AbsolutePosition pos)

      Sets the absolute position of this fo.
      Overrides:
        `setAbsolutePosition` in class `FormattingObject`
      Parameters:
        `pos` - AbsolutePosition.

    - #### setAbsolutePosition

          public void setAbsolutePosition(Measure left,
                                 Measure top)

      Sets the absolute position for this block container. Furthermore attribute absolute-position is set to absolute.
      Parameters:
        `left` - Left position (Attribute left).
        `top` - Top position (Attribute top).

    - #### setAbsolutePosition

          public void setAbsolutePosition(Measure left,
                                 Measure top,
                                 AbsolutePosition.PositionType type)

      Sets the absolute position for this block container.
      Parameters:
        `left` - Left position (Attribute left).
        `top` - Top position (Attribute top).
        `type` - Type of absolute position.

    - #### setSize

          public void setSize(Measure width,
                     Measure height)

      Sets the size of this block container.
      Parameters:
        `width` - Width of block container.
        `height` - Height of block container.

    - #### setDisplayAlign

          public void setDisplayAlign(Values.DisplayAlignment align)

      Sets the display-alignment.
      Parameters:
        `align` - Alignment.

    - #### getDisplayAlign

          public Values.DisplayAlignment getDisplayAlign()

      Gets the display-alignment. By default DISPLAY_ALIGN_BEFORE is returned.
      Returns:
        Alignment.

    - #### getZIndex

          public int getZIndex()

    - #### setZIndex

          public void setZIndex(int index)

    - #### setBreakBefore

          public void setBreakBefore(Values.Break type)

      Sets the break before this formatting object.
      Parameters:
        `type` - Type of break. (see Values.BREAK_*)

    - #### getBreakBefore

          public Values.Break getBreakBefore()

      Gets the break before this formatting object.
      Returns:
        Type of break. By default Values.BREAK_AUTO is returned.

    - #### setBreakAfter

          public void setBreakAfter(Values.Break type)

      Sets the break before this formatting object.
      Parameters:
        `type` - Type of break. (see Values.BREAK_*)

    - #### getBreakAfter

          public Values.Break getBreakAfter()

      Gets the break after this formatting object.
      Returns:
        Type of break. By default Values.BREAK_AUTO is returned.

    - #### getWritingMode

          public Values.WritingMode getWritingMode()

      Gets the writing mode of this formatting object. If no writing mode is specified the default writing mode LR-TB is returned.
      Returns:
        Writing mode.

    - #### setWritingMode

          public void setWritingMode(Values.WritingMode mode)

      Sets the writing mode for this formatting object.
      Parameters:
        `mode` - Writing mode.

    - #### setHeight

          public void setHeight(Measure height)

    - #### getHeight

          public Measure getHeight()

    - #### setWidth

          public void setWidth(Measure height)

    - #### getWidth

          public Measure getWidth()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.